Get person entity association

View as Markdown

Returns one person-scoped association join row.

Authentication

X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Path parameters

personIdstringRequiredformat: "uuid"
Person UUID
associationIdintegerRequired
Association id

Query parameters

countOnlybooleanOptional
Return count metadata without full content
includeUrlbooleanOptional
Include entity URL records
permitMonogrambooleanOptional
Permit generated monogram logo fallback
cursorstringOptional

Opaque URL-safe cursor token from X-Next-Cursor

Response

OK
associationIdinteger

Integer person-entity association join row id, not a person or entity UUID

entityAddresslist of objects
Entity addresses carried on the association projection
entityIdstringformat: "uuid"
Associated entity id
entitySlugstringformat: "^[a-z0-9_-]+$"<=255 characters
Canonical lowercase URL slug for the resource
personAddresslist of objects
Person addresses carried on the association projection
personIdstringformat: "uuid"
Associated person id
personImageobject
Person image projection
personNamestring
personSlugstringformat: "^[a-z0-9_-]+$"<=255 characters
Canonical lowercase URL slug for the resource
createdAtdatetime or nullOptional
creatorstring or nullOptional
Association creator label
endDatedatetime or nullOptional
Association period end timestamp
entityNamestring or nullOptional
entityOperatingStatusstring or nullOptional
entityTypeenum or nullOptional
Entity type classification
isCurrentboolean or nullOptional
scoreinteger or nullOptional
startDatedatetime or nullOptional
Association period start timestamp
titleFunctionstring or nullOptional

Read-side corporate title function for the association row

titleIdinteger or nullOptional
Corporate title id for the association row
titleLevelstring or nullOptional

Read-side corporate title level for the association row

titleNamestring or nullOptional

Read-side corporate title text for the association row

updatedAtdatetime or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error